Subject: [PATCH v2 0/2] ath9k: of_init: add endian check

From: Álvaro Fernández Rojas <[email-masked]>
Date: Mon, 17 Apr 2023 07:35:07 +0200

Add new endian check flag to allow checking the endianness of EEPROM and swap
its values if needed.
This flag was already present on ath9k_platform_data as "endian_check".

For compatibility with current devices the AH_NO_EEP_SWAP flag will be
activated only when qca,endian-check isn't present in the device tree.
This is because some devices have the magic values swapped but not the actual
EEPROM data, so activating the flag for those devices will break them.

Álvaro Fernández Rojas (2):
  dt-bindings: net: wireless: ath9k: document endian check
  ath9k: fix calibration data endianness

 .../devicetree/bindings/net/wireless/qca,ath9k.yaml          | 5 +++++
 drivers/net/wireless/ath/ath9k/init.c                        | 5 +++--
 2 files changed, 8 insertions(+), 2 deletions(-)

-- 
2.30.2